package com.chelvc.framework.base.interceptor;

import com.chelvc.framework.common.model.Result;
import org.springframework.core.MethodParameter;
import org.springframework.web.context.request.NativeWebRequest;

/**
 * 响应结果包装默认实现
 *
 * @author Woody
 * @date 2024/1/30
 */
public class DefaultResponseWrapper implements ResponseWrapper {
    @Override
    public Result<?> wrap(NativeWebRequest request, MethodParameter method, Object value) {
        return value instanceof Result ? (Result<?>) value : Result.success(value);
    }
}
