package com.chelvc.framework.common.exception;

/**
 * 资源不可用异常
 *
 * @author Woody
 * @date 2024/1/30
 */
public class ResourceUnavailableException extends FrameworkException {
    /**
     * 异常编码
     */
    public static final String CODE = "UNAVAILABLE";

    public ResourceUnavailableException(String message) {
        this(message, null);
    }

    public ResourceUnavailableException(String message, Throwable cause) {
        super(CODE, null, message, cause);
    }
}
