package com.chelvc.framework.common.function;

import java.io.Serializable;
import java.util.function.Function;

/**
 * Getter函数对象接口
 *
 * @param <T> 函数调用对象类型
 * @param <R> 函数调用返回类型
 * @author Woody
 * @date 2024/1/30
 */
public interface Getter<T, R> extends Function<T, R>, Serializable {
}
