package com.chelvc.framework.redis.stream;

/**
 * Redis Stream 消息消费监听接口
 *
 * @param <T> 消息类型
 * @author Woody
 * @date 2024/1/30
 */
public interface RedisMQListener<T> {
    /**
     * 消费消息
     *
     * @param message 消息实例
     */
    void consume(T message);
}
