package com.chelvc.framework.redis.config;

import io.lettuce.core.event.EventBus;

/**
 * Redis事件配置适配接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface RedisEventConfigurerAdapter {
    /**
     * 事件配置
     *
     * @param bus 事件总线
     */
    void configure(EventBus bus);
}
