package com.chelvc.framework.sms;

/**
 * 普通短信操作接口
 *
 * @author Woody
 * @date 2024/1/30
 */
public interface NormalSmsHandler {
    /**
     * 发送短信
     *
     * @param content 短信内容
     * @param mobiles 手机号数组
     * @return true/false
     */
    boolean send(String content, String... mobiles);
}
